
BasicGame.Preloader = function(game){

};

BasicGame.Preloader.prototype = {

	init: function(){
		this.game.stage.backgroundColor = '#ffffcc';
	},
	preload: function(){



		this.preloadBar = this.add.sprite(205, 120 , 'preloaderBar');
        this.add.sprite(200, 83, 'preloaderFrame');
		this.load.setPreloadSprite(this.preloadBar);
		
		/*
		this.load.audio('mainMusic', ['assets/audio/mainMusic.mp3']);
    	this.load.audio('click', ['assets/audio/click.mp3']);	

		this.game.SoundManager.addMusic(this.game.add.audio('mainMusic'));
        this.game.SoundManager.addSfx(this.game.add.audio('click'));

		this.load.bitmapFont('newDropEra', 'assets/fonts/NewDropEra_0.png', 'assets/fonts/NewDropEra.fnt');
		this.load.image('playBtn','assets/images/playBtn6.png');
		//Para el level Selector
		this.game.load.spritesheet("levels", "assets/images/levels.png", game.global.thumbWidth, game.global.thumbHeight);
		this.game.load.spritesheet("level_arrows", "assets/images/level_arrows.png", 48, 48);
		game.load.spritesheet("game", "assets/images/game.png", 200, 80);
		*/
	},
	create: function(){
		this.game.state.start('MainMenu');
	}
}